python3-magics++_3.3.1-1_i386.deb


Advertisement

Description

python3-magics++ - Python3 support for Magics++

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename python3-magics++_3.3.1-1_i386.deb
Package name python3-magics++
Package version 3.3.1
Package release 1
Package architecture i386
Package type deb
Category python uitoolkit::qt
Homepage https://software.ecmwf.int/wiki/display/MAGP/Magics
License -
Maintainer Alastair McKinstry <mckinstry@debian.org>
Download size 46.62 KB
Installed size 117.00 KB
Magics++ is the latest generation of the ECMWF's Meteorological plotting
software MAGICS. Although completely redesigned in C++, it is intended to be
as backwards-compatible as possible with the Fortran interface.
This package provides Python3 support for the magics++ library.

Alternatives

Package Version Architecture Repository
python3-magics++_3.3.1-1_amd64.deb 3.3.1 amd64 Debian Main
python3-magics++ - - -

Requires

Name Value
libmagplus3v5 = 3.3.1-1
python3-jinja2 -
python3-numpy >= 1:1.14.3
python3-numpy-abi9 -
python3-simplejson -
python3:any -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python3-magics++_3.3.1-1_i386.deb
Source Package magics++

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-magics++ deb package:
    # sudo apt-get install python3-magics++

Files

Path
/usr/lib/python3/dist-packages/Magics-3.3.1.egg-info
/usr/lib/python3/dist-packages/Magics/Magics.py
/usr/lib/python3/dist-packages/Magics/__init__.py
/usr/lib/python3/dist-packages/Magics/macro.py
/usr/lib/python3/dist-packages/Magics/metgram.py
/usr/lib/python3/dist-packages/Magics/toolbox.py
/usr/share/doc/python3-magics++/changelog.Debian.gz
/usr/share/doc/python3-magics++/changelog.gz
/usr/share/doc/python3-magics++/copyright

Changelog

2018-12-20 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.3.1-1) unstable; urgency=medium
* New upstream release
* Sanitize build path for magics*cmake scripts in -dev pkg
2018-11-19 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.2.2-2) unstable; urgency=medium
* Rebuild against eccodes (>= 2.9.2-3) to avoid eccodes_memfs
2018-11-15 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.2.2-1) unstable; urgency=medium
* New upstream release
* Fix path on metgram script to /usr/bin/perl
* Drop unused lintian-overrides
2018-11-06 - Gianfranco Costamagna <locutusofborg@debian.org>
magics++ (3.2.1-2) unstable; urgency=medium
* Team upload
* Fixup VCS fields
* Add python3:Depends to -dev package, and runtime python development
packages:
- cmake files are currently needing python libraries
2018-10-26 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.2.1-1) unstable; urgency=medium
* New upstream release
2018-10-01 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.2.0-1) unstable; urgency=medium
* New upstream release
* Standards-Version: 4.2.1
* Drop hard-coded xz compression
* Drop option of building with obsolete grib-api (eccodes only)
2018-07-27 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.1.0-2) unstable; urgency=medium
* Standards-Version: 4.1.5
* Change HAVE_ODB -> ENABLE_ODB in cmake rules
* Update URLs in debian/watch
* Add python3-all-dev for python3.7 transition
2018-07-03 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.1.0-1) unstable; urgency=medium
* New upstream release
* Cmake dependency >= 3.1
2018-05-14 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.0.4-1) unstable; urgency=medium
* New upstream release
* Standards-Version: 4.1.4
2018-04-27 - Alastair McKinstry <mckinstry@debian.org>
magics++ (3.0.3-1) unstable; urgency=medium
* New upstream release

See Also

Package Description
python3-magnum-ui_5.0.1-2_all.deb OpenStack Magnum - dashboard plugin
python3-magnum_7.1.0-1_all.deb OpenStack containers as a service - Python library
python3-magnumclient_2.10.0-3_all.deb client library for Magnum API - Python 3.x
python3-mailer_0.8.1-3_all.deb Python module that simplifies sending email (Python 3)
python3-mailman-hyperkitty_1.1.0-9_all.deb Mailman3 plugin to archive emails with HyperKitty
python3-mailmanclient_3.2.2-1_all.deb Python bindings for Mailman3 REST API (Python 3 version)
python3-mako_1.0.7+ds1-1_all.deb fast and lightweight templating for the Python 3 platform
python3-mallard.ducktype_0.4-2_all.deb Parser for Ducktype, a lightweight documentation syntax
python3-mando_0.6.4-4_all.deb command line argument parser for python3
python3-manila-ui_2.16.0-2_all.deb OpenStack shared file system as a service - Dashboard plugin
python3-manila_7.0.0-1_all.deb OpenStack shared file system as a service - Python libs
python3-manilaclient_1.24.1-2_all.deb OpenStack shared file system as a service - Python 3.x client
python3-manuel_1.10.1-1_all.deb Python3 library for testable documents and documented tests
python3-map-msgs_1.13.0-8_all.deb Python 3 code for map-related ROS Messages
python3-mapbox-vector-tile_0.5.0+ds-6_all.deb Mapbox Vector Tile library for Python 3
Advertisement
Advertisement